* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  background-color: whitesmoke;
  color: #000;
}

body.active {
  background-color: #1d2432;
  color: white;
  header {
    background-color: #1d2432;
  }
  .box {
    background-color: #111827;
    img {
      z-index: 0;
    }
  }
  .detail span {
    color: white;
  }
  .bookmark::before {
    background-color: #1d2432;
  }
  .book-list {
    background-color: #1d2432;
  }
}

header {
  width: 100%;
  background-color: whitesmoke;
  padding: 2px 5%;
  position: relative;
  z-index: 2;
}

.cont {
  width: 100%;
  height: 100%;
  max-width: 1400px;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.container {
  width: 100%;
  max-width: 1400px;
  margin: auto;
}

.row {
  width: 100%;
  max-width: 1400px;
}

.logo img {
  height: 70px;
}
.extra {
  display: flex;
  flex-wrap: nowrap;
  position: relative;
}

.extra i {
  width: 50px;
  height: 50px;
  background-color: white;
  border-radius: 50%;
  border: 1px solid white;
  cursor: pointer;
  display: grid;
  place-items: center;
  span {
    color: #07abd8;
  }
}

.extra i:nth-child(2) {
  margin-inline: 20px;
}

.extra i:hover {
  border: 1px solid #176b87;
}

.search-area {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 3;
  padding: 8rem 10% 0;
  background-color: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
  opacity: 0;
  pointer-events: none;
  transition: opactiy s ease;
}
.bookmark::before {
  content: "";
  position: absolute;
  width: 20px;
  height: 20px;
  background-color: #176b87;
  top: -7px;
  transform: rotate(45deg);
  z-index: -1;
}

.extra .booktoggle {
  display: none;
  user-select: none;
  span {
    display: block;
  }
}

.bookmark {
  position: absolute;
  left: -75px;
  top: 67px;
  width: 200px;
  height: 165px;
  background-color: #176b87;
  z-index: 99;
  border-radius: 2px;
  display: none;
  place-items: center;
}

.bookmark.show {
  display: grid;
}

.book-list {
  background-color: white;
  width: 98%;
  height: 98%;
  border-radius: inherit;
  z-index: 1000;
  padding: 1px 1px 2px;
  overflow-y: auto;
}

.mark {
  width: 100%;
  height: 80px;
  border: 2px solid #cfcfcf;
  margin-top: 0;
  border-radius: 6px;
  padding-inline: 1px;
  overflow: hidden;
  position: relative;
  cursor: pointer;
  user-select: none;
  .book-surah {
    font-size: 1rem;
    display: flex;

    font-weight: 400;
    margin-top: 5px;
    p {
      padding-left: 5px;
    }
  }
  .book-arab {
    display: -webkit-box;
    text-align: right;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    direction: rtl;
    unicode-bidi: embed;
    font-family: "KFGQPC Uthmanic Script HAFS";
    font-size: 1.5rem;
    line-height: 3rem;
  }
}
.remove {
  position: absolute;
  top: 2px;
  right: 2px;
  cursor: pointer;
  color: #07abd8;
}
.search-form {
  background: white;
  display: flex;
  align-items: center;
  border-radius: 2rem;
  column-gap: 5px;
  padding-inline: 1rem;
  transform: translateY(-5px);
  transition: transform 0.5s;
}
.input-search {
  width: 100%;
  padding: 10px;
  border: none;
  outline: none;
  font-size: 1rem;
}

.search-icon {
  font-size: 30px;
  color: #555;
}

.search-close {
  position: absolute;
  top: 5.5rem;
  right: 10%;
  font-size: 40px;
  color: #555;
  cursor: pointer;
}

.search-show {
  opacity: 1;
  pointer-events: initial;
}

.search-show .search-form {
  transform: translateY(0);
}

/* section banner start */
.banner {
  max-width: 1400px;
  margin: auto;
  padding: 3rem 10%;
  text-align: center;
  color: white;
  background-color: #176b87;
}
.banner h1 {
  font-size: 40px;
}
/* section banner end */

/* section surah start */

.surah {
  padding: 3rem 10%;
}

.top-page {
  border-bottom: 1px solid #176b87;
  padding-bottom: 3rem;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 0.5rem;
  user-select: none;
}

.top-page .populer {
  padding: 0.5rem;
  background-color: #2ca4ab;
  color: white;
  border-radius: 20px;
  cursor: pointer;
  font-weight: 300;
  text-decoration: none;
}

.top-page .populer:hover {
  background-color: #176b87;
}

/* section content start */

.content {
  padding: 0 10%;
}

.navigation {
  margin-bottom: 3rem;
  display: flex;
  justify-content: end;
}

.navigation .urut {
  display: flex;
  gap: 1rem;
  align-items: center;
}

.navigation .urut h1 {
  font-size: 1rem;
}

.navigation .urut select {
  border: 1px solid #dfdfdf;
  padding: 0.25rem 1rem;
  border-radius: 3px;
  outline: none;
}

.body-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 1rem;
  flex-direction: row-reverse;
}

.box {
  border: 2px solid #dfdfdf;
  list-style: none;
  padding: 0.5rem;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  user-select: none;
}

.box:hover {
  border: 2px solid #176b87;
}

.box:hover .box-left .title .detail {
  color: #176b87;
}

.box:hover .box-right span {
  color: #176b87;
}

.box-left {
  display: flex;
  text-align: center;
}

.box .border {
  position: relative;
  display: flex;
  text-align: center;
  padding: 10px;
}

.box .border .number {
  position: relative;
  margin: auto;
  width: 10px;
  height: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  span {
    padding: 0.5rem;
    font-size: 0.75rem;
    font-weight: 700;
  }
}

.box img {
  position: absolute;

  height: 35px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
}

.box .title {
  padding: 10px;
  text-align: left;
}

.box .title .chapt {
  word-break: break-all;
}

.box .title .detail {
  margin-top: 4px;
  color: #555;
  font-weight: 600;
}

.box .box-right {
  text-align: center;
}
.box .box-right .arabic {
  font-size: 1.5rem;
}

.box .box-right h6 {
  color: #555;
  font-weight: 600;
  margin-bottom: 5px;
}

.footer {
  text-align: center;
  padding: 3rem 10%;
  background-color: #176b87;
  color: white;
  margin-top: 20px;
  opacity: 0;
  display: none;
}

.footer.active {
  opacity: 1;
  display: block;
}
@media (max-width: 500px) {
  .banner {
    h1 {
      font-size: 30px;
      text-align: left;
    }
    p {
      text-align: left;
    }
  }

  .body-content {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
  }
}

/* custom scroll bar */

::-webkit-scrollbar {
  width: 15px;
}
::-webkit-scrollbar-track {
  background: #dfdfdf;
}

::-webkit-scrollbar-thumb {
  background: #176b87;
  border-radius: 20px;
}
